%define name	frmg
%define version	1.0.0
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Small preliminary example of a French grammar based on DyAlog
License:	GPL
Group:		Sciences/Computer science
Source:		ftp://ftp.inria.fr/INRIA/Projects/Atoll/Eric.Clergerie/TAG/%{name}-%{version}.tar.bz2
Url:		http://atoll.inria.fr/packages/packages.html#frmg
Buildrequires:	dyalog
Buildrequires:	dyalog-xml
Buildrequires:	dyalog-sqlite
Buildrequires:	mgtools
Buildrequires:	mgcomp
Buildrequires:	perl-tag_utils
Buildrequires:	libxslt-proc
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
A new small preliminary example of a French grammar generated from a
MetaGrammar and compiled with DyALog

It is based on a previous MetaGrammar (frenchmg), itself based on an previous
version developed by Lionel Clment.

A new simplified notation is been used to simplify the writing of the
MetaGrammar, with still conversion to an XML exchange format.

The MetaGrammar exploits several new functionnalities allowed by mgcomp (MG
compiler) and DyALog to be more compact. We can cite MG classes with namespace
(to use several times a same class but with different namespaces in a terminal
class), free node ordering when possible (interleaving), conditionnal nodes,
...

%package viewer
Summary:	%{name} viewer
Group:		Sciences/Computer science
Requires:	%{name} = %{version}
Requires:	apache-mod_perl

%description viewer
A mod_perl-based viewer for %{name}.

%prep
%setup -q

%build
export LD_LIBRARY_PATH=%{_libdir}/DyALog
%configure --with-modperldir=%{_var}/www/perl
# parallel build is broken
make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL NOTES.txt README
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/*
%{_datadir}/%{name}

%files viewer
%defattr(-,root,root)
%{_var}/www/perl/%{name}

%changelog
* Wed Mar 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-1mdk
- new version

* Mon Nov 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.0.1-2mdk 
- split viewer subpackage to minimize dependencies

* Tue Nov 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.0.1-1mdk 
- first mdk release
